return {
    ---------- for lsp diagnostic lines ----------
    "https://git.sr.ht/~whynothugo/lsp_lines.nvim",
    event = "LspAttach",
    config = function()
        require("lsp_lines").setup()
        vim.diagnostic.config({ virtual_lines = false })

        local lsplines = false
        vim.keymap.set("n", "<Leader>L", function()
            lsplines = not lsplines
            vim.diagnostic.config({ virtual_text = not lsplines })
            vim.diagnostic.config({ virtual_lines = lsplines })
        end, { desc = "Toggle lsp_lines" })
    end,
}
